Method: projects.locations.collections.engines.getWorkspaceSettings

Get Workspace settings for the end user.

HTTP request

GET https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*}:getWorkspaceSettings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Full Engine resource name. Format: projects/{project}/locations/{location}/collections/{collectionId}/engines/{engineId}

Request body

The request body must be empty.

Response body

Workspace settings for the end user.

If successful, the response body contains data with the following structure:

JSON representation
{
  "workspaceAccessEnabled": boolean,
  "customerDomainValid": boolean
}
Fields
workspaceAccessEnabled

boolean

Whether an end user has workspace access enabled.

customerDomainValid

boolean

Whether the calling user's customer domain matches the workspace data stores under this engine.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • discoveryengine.engines.get

For more information, see the IAM documentation.